package org.gcube.smartgears.security.defaults;

import org.gcube.smartgears.security.AuthorizationProviderFactory;
import org.gcube.smartgears.security.Credentials;
import org.gcube.smartgears.security.SimpleCredentials;

public class DefaultAuthorizationProviderFactory implements AuthorizationProviderFactory<DefaultAuthorizationProvider>{

	@Override
	public DefaultAuthorizationProvider connect(Credentials credentials, String enpoint) {
		if (!SimpleCredentials.class.isInstance(credentials))
			throw new IllegalArgumentException("invalid credential type passed");
		return new DefaultAuthorizationProvider((SimpleCredentials)credentials, enpoint);
	}

	
}
