package org.gcube.smartgears.publishing;

import java.util.Set;

import org.gcube.smartgears.context.application.ApplicationContext;
import org.gcube.smartgears.context.container.ContainerContext;

public interface Publisher {

	boolean publishContainer(ContainerContext container, Set<String> contexts);
	
	boolean publishApplication(ApplicationContext application, Set<String> contexts);
	
	boolean unpublishContainer(ContainerContext container, Set<String> contexts);
	
	boolean unpublishApplication(ApplicationContext application, Set<String> contexts);
}
